#language: ru

@fzp

Функционал: 003. Планирование переработки. Создание заказов клиентов

Контекст: 
	Дано Я подключаюсь под "Администратор"

Сценарий: 003.0. Планирование переработки. Подготовка
	
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ПредварительныйЗаказ" без контроля ссылок
	Дано я удаляю объекты "Документы.к2АкционныеОтгрузки" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ЗаявкаНаПроизводство" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2НастройкиФормированияЗаявкиНаПроизводство" без контроля ссылок

Сценарий: 003.1. Планирование переработки. Загрузка заказов
	
	И Я загружаю заказы клиента из файла

Сценарий: 003.2. Планирование переработки. Создание предзаказа

	И В командном интерфейсе я выбираю 'Планирование' 'Предварительные заказы'
	Тогда я жду открытия окна 'Предварительные заказы' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Предварительный заказ (создание)' в течение 20 секунд
	И в поле с именем 'Дата' я ввожу текст '03.02.2019  0:00:00'
	И из выпадающего списка "Вид" я выбираю по строке 'Согласованные отгрузки'
	И я перехожу к закладке "Сводные показатели"
	И я заполняю таблицу "СводныеПоказатели" данными
	| 'СводныеПоказателиКонтрагент' | 'СводныеПоказателиНоменклатура' | 'СводныеПоказателиХарактеристика' | 'СводныеПоказателиСклад' | 'Дата начала' | 'Дата окончания' | 'СводныеПоказателиОбъемОтгрузок' | 'СводныеПоказателиКомментарий' |
	| 'Метро(ФЗП)'                  | 'Сервелат Финский Метро'        | 'Маркировка нашего завода'        | 'Новый Склад ГП(ФЗП)'    |'05.02.2019'   | '08.02.2019'     | '1 000,00'                       | 'Ввод новинки'                 |
	И в таблице "СводныеПоказатели" я нажимаю на кнопку 'Обновить показатели по дням'
	И я перехожу к закладке "Показатели по дням"
	И я перехожу к закладке "Показатели по дням"
	И в таблице "Показатели" я выбираю текущую строку
	И в таблице "Показатели" в поле '05.02.2019' я ввожу текст '200,000'
	И в таблице "Показатели" в поле '06.02.2019' я ввожу текст '200,000'
	И в таблице "Показатели" в поле '07.02.2019' я ввожу текст '200,000'
	И в таблице "Показатели" в поле '08.02.2019' я ввожу текст '400,000'
	И в таблице "Показатели" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'Ввод новики для метро'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Предварительный заказ (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Предварительные заказы' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Вид'                    | 'Комментарий'           |
		| 'Согласованные отгрузки' | 'Ввод новики для метро' |
	И Я проверяю движения ФЗП по макету "ДвиженияПредварительногоЗаказа"
	Тогда я жду открытия окна 'Предварительные заказы' в течение 20 секунд
	И Я закрываю окно 'Предварительные заказы'

Сценарий: 003.3. Планирование переработки. Создание Акционной отгрузки для Атака
	
	И В командном интерфейсе я выбираю 'Планирование' 'Акционные отгрузки'
	Тогда я жду открытия окна 'Акционные отгрузки' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Акционные отгрузки (создание)' в течение 20 секунд
	И в поле с именем 'Дата' я ввожу текст '03.02.2019  0:00:00'
	И из выпадающего списка "Стратегия влияния на отгрузки" я выбираю по строке 'С приростами'
	И в таблице "СводныеПоказатели" я нажимаю на кнопку с именем 'СводныеПоказателиДобавить'
	И в таблице "СводныеПоказатели" из выпадающего списка с именем "СводныеПоказателиКонтрагент" я выбираю по строке 'Атак(ФЗП)'
	И в таблице "СводныеПоказатели" из выпадающего списка с именем "СводныеПоказателиНоменклатура" я выбираю по строке 'Сервелат Финский в/у'
	И в таблице "СводныеПоказатели" из выпадающего списка с именем "СводныеПоказателиХарактеристика" я выбираю по строке 'Маркировка нашего завода'
	И в таблице "СводныеПоказатели" из выпадающего списка с именем "СводныеПоказателиСклад" я выбираю по строке 'Склад ГП(ФЗП)'
	И в таблице "СводныеПоказатели" в поле 'Дата начала' я ввожу текст '30.01.2019'
	И в таблице "СводныеПоказатели" в поле 'Дата окончания' я ввожу текст '01.02.2019'
	И в таблице "СводныеПоказатели" в поле 'Средние продажи' я ввожу текст '200,00'
	И в таблице "СводныеПоказатели" в поле с именем 'СводныеПоказателиКоличествоПрирост' я ввожу текст '400,00'
	И в таблице "СводныеПоказатели" я завершаю редактирование строки
	И в таблице "СводныеПоказатели" я нажимаю на кнопку 'Обновить показатели по дням'
	И я перехожу к закладке "Показатели по дням"
	И в таблице "Показатели" я выбираю текущую строку
	И в таблице "Показатели" в поле '30.01.2019' я ввожу текст '133,330'
	И в таблице "Показатели" в поле '31.01.2019' я ввожу текст '266,670'
	И в таблице "Показатели" в поле '01.02.2019' я ввожу текст '0,000'
	И в таблице "Показатели" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'Атак(ФЗП)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Акционные отгрузки (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Акционные отгрузки' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий' |
		| 'Атак(ФЗП)'   |
	И Я проверяю движения ФЗП по макету "ДвиженияАкцийАтак"
	Тогда я жду открытия окна 'Акционные отгрузки' в течение 20 секунд
	И Я закрываю окно 'Акционные отгрузки'

Сценарий: 003.4. Планирование переработки. Создание Акционной отгрузки для Ашана
	
	И В командном интерфейсе я выбираю 'Планирование' 'Акционные отгрузки'
	Тогда я жду открытия окна 'Акционные отгрузки' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Акционные отгрузки (создание)' в течение 20 секунд
	И в поле с именем 'Дата' я ввожу текст '03.02.2019  0:00:00'
	И из выпадающего списка "Стратегия влияния на отгрузки" я выбираю по строке 'С приростами'
	И в таблице "СводныеПоказатели" я нажимаю на кнопку с именем 'СводныеПоказателиДобавить'
	И в таблице "СводныеПоказатели" из выпадающего списка с именем "СводныеПоказателиКонтрагент" я выбираю по строке 'Ашан(ФЗП)'
	И в таблице "СводныеПоказатели" из выпадающего списка с именем "СводныеПоказателиНоменклатура" я выбираю по строке 'Сервелат Финский'
	И в таблице "СводныеПоказатели" из выпадающего списка с именем "СводныеПоказателиХарактеристика" я выбираю по строке 'Маркировка нашего завода'
	И в таблице "СводныеПоказатели" из выпадающего списка с именем "СводныеПоказателиСклад" я выбираю по строке 'Склад ГП(ФЗП)'
	И в таблице "СводныеПоказатели" в поле 'Дата начала' я ввожу текст '06.02.2019'
	И в таблице "СводныеПоказатели" в поле 'Дата окончания' я ввожу текст '07.02.2019'
	И в таблице "СводныеПоказатели" в поле 'Средние продажи' я ввожу текст '400,00'
	И в таблице "СводныеПоказатели" в поле с именем 'СводныеПоказателиКоличествоПрирост' я ввожу текст '600,00'
	И в таблице "СводныеПоказатели" я завершаю редактирование строки
	И в таблице "СводныеПоказатели" я нажимаю на кнопку 'Обновить показатели по дням'
	И я перехожу к закладке "Показатели по дням"
	И в таблице "Показатели" я выбираю текущую строку
	И в таблице "Показатели" в поле '06.02.2019' я ввожу текст '400,000'
	И в таблице "Показатели" в поле '07.02.2019' я ввожу текст '200,000'
	И в таблице "Показатели" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'Ашан(ФЗП)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Акционные отгрузки (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Акционные отгрузки' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий' |
		| 'Ашан(ФЗП)'   |
	И Я проверяю движения ФЗП по макету "ДвиженияАкцийАшан"
	Тогда я жду открытия окна 'Акционные отгрузки' в течение 20 секунд
	И Я закрываю окно 'Акционные отгрузки'

Сценарий: 003.5. Планирование переработки. Создание Заявки на производство

	И В командном интерфейсе я выбираю 'Планирование' 'Заявки на производство'
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Заявка на производство (создание)' в течение 20 секунд
	И я нажимаю кнопку выбора у поля "Вид заявки"
	И из выпадающего списка "Вид заявки" я выбираю по строке 'Производство'
	И в поле 'Дата задания' я ввожу текст '03.02.2019'
	И в поле 'Важность' я ввожу текст '100'
	И я нажимаю кнопку выбора у поля "Настройка формирования заявки на производство"
	Тогда я жду открытия окна 'Настройки формирования заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Настройки формирования заявки на производство (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'Копченые колбасы'
	И я перехожу к закладке "Товарные категории"
	И в таблице "ТоварныеКатегории" из выпадающего списка "Товарная категория" я выбираю по строке 'Копченые колбасы'
	И в таблице "ТоварныеКатегории" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки формирования заявки на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Настройки формирования заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда я жду открытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	И я перехожу к закладке "Продукция"
	И я удаляю все строки таблицы "Продукция"
	И я заполняю таблицу "Продукция" данными
	| 'ПродукцияНоменклатура' | 'Выпуск'     | 'ПродукцияКоличество' |
	| '(БП) Сервелат Финский' | '04.02.2019' | '400,000'             |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И Я закрываю окно 'Заявки на производство'